%define src_name honoka-plugin-romkan
%define version  0.9.0
%define release  2%{_dist_release}

%define honoka_version   0.9.0

Name:       scim-honoka-plugin-romkan
Summary:    A Romaji-Hiragana input plugin for HONOKA-TAN
Summary(ja): ほのかたんのためのローマ字・ひらがな入力プラグイン
Version:    %{version}
Release:    %{release}
Group:      System Environment/Libraries
License:    GPLv2
URL:        http://sourceforge.jp/projects/scim-imengine/
Source0:    %{src_name}-%{version}.tar.bz2
Patch0:     honoka-plugin-romkan_change_default_romaji_tables.diff
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires: scim-honoka-devel >= %{honoka_version}
BuildRequires: automake
BuildRequires: libtool-ltdl

%description
scim-honoka-plugin-romkan is a Romaji-Hiragana input plugin for HONOKA-TAN.

%description -l ja
scim-honoka-plugin-romkan はほのかたんのためのローマ字・ひらがな入力プラグインです．

%prep
%setup -q -n %{src_name}-%{version}
#%patch0 -p0

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken: --> OK???
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/honoka/*.{a,la}

%find_lang %{src_name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{src_name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_datadir}/scim/honoka/*.rkt
%{_libdir}/scim-1.0/*/honoka/*.so


%changelog
* Sat Oct 25 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-2
- spec in utf-8

* Sat Mar 22 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-1vl5
- initial build for VineSeed

### end of file
